SRC/cpptri.f(3)

NAME
SRC/cpptri.f

SYNOPSIS

  Functions/Subroutines
subroutine cpptri (uplo, n, ap, info)
CPPTRI

Function/Subroutine Documentation

  subroutine cpptri (character uplo, integer n, complex, dimension( * ) ap, integer info)

CPPTRI

Purpose:

     CPPTRI computes the inverse of a complex Hermitian positive definite
     matrix A using the Cholesky factorization A = U**H*U or A = L*L**H
     computed by CPPTRF.

Parameters
    UPLO

              UPLO is CHARACTER*1
              = 'U':  Upper triangular factor is stored in AP;
              = 'L':  Lower triangular factor is stored in AP.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    AP

              AP is COMPLEX array, dimension (N*(N+1)/2)
              On entry, the triangular factor U or L from the Cholesky
              factorization A = U**H*U or A = L*L**H, packed columnwise as
              a linear array.  The j-th column of U or L is stored in the
              array AP as follows:
              if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
              if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
              On exit, the upper or lower triangle of the (Hermitian)
              inverse of A, overwriting the input factor U or L.

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value
              > 0:  if INFO = i, the (i,i) element of the factor U or L is
                    zero, and the inverse could not be computed.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 92 of file cpptri.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.